org.apache.ignite.internal.processors.rest.client.message

## Class GridClientBinaryMetaData

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientBinaryMetaData

    public class GridClientBinaryMetaData
    extends Object

Binary meta data sent from client.

### Constructor Summary

Constructors
Constructor and Description
`GridClientBinaryMetaData()`

### Method Summary

Methods
`String` `affinityKeyFieldName()`
`Map<String,Integer>` `fields()`
`String` `toString()`
`int` `typeId()`
`String` `typeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientBinaryMetaData

    public GridClientBinaryMetaData()

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type ID.

#### typeName

    public String typeName()

Returns:
  Type name.

#### fields

    public Map<String,Integer> fields()

Returns:
  Fields.

#### affinityKeyFieldName

    public String affinityKeyFieldName()

Returns:
  Affinity key field name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017